<?php
  dl('php_mapscript.so');

  function clone_and_draw ($oMap) {
    // clone the map
    $cloneMap = $oMap->clone();

    // modify the first layer
    $cloneLayer = $cloneMap->getLayer(0);
    $cloneLayer->set('status',MS_OFF);

    // draw the clone map 
    $image = $cloneMap->draw();
    $image_path = './clone_raster.png';
    echo $image_path." done\n";
    $image->saveImage($image_path);
  }

  // load the map
  $mapObj = ms_newMapObj("seacoos_obs.map");

  // draw the map (first layer defined as STATUS ON)
  $image = $mapObj->draw();
  $image_path = './original_raster.png';
  echo $image_path." done\n";
  $image->saveImage($image_path);

  // clone, modify, and draw 
  clone_and_draw($mapObj);

  // now draw the original map again
  $image = $mapObj->draw();
  $image_path = './original_raster_again.png';
  echo $image_path." done\n";
  $image->saveImage($image_path);
?>
